Subject: RE: SIGINT to bash behaves differently in rxvt as compared to con sole
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 22 Jan 2003 09:46:58 -0000

Igor,

Cheers - but I just tried that and it didn't have any effect. That variable
is not set by default in either the console or rxvt.

Bummer.

Duncan.

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: 21 January 2003 19:25
To: Loveday,DAH,Duncan,YEE24 R
Cc: [email-masked]
Subject: Re: SIGINT to bash behaves differently in rxvt as compared to
console 

On Tue, 21 Jan 2003 [email-masked] wrote:

> I find on a Windows NT4 (SP6) platform with the latest versions
(downloaded
> today) of cygwin1.dll, rxvt, bash etc that if I run a windows command
> script, say a.cmd, which in turn runs some other process (e.g. a pause),
if
> I hit ^C then the behaviour is different in rxvt as compared to the cygwin
> console.
>
> In the console, the process being run by the command script is always
> interrupted and then sometimes the rest of the command script continues to
> execute but sometimes it says 'Terminate batch job (Y/N)' in which case if
I
> answer 'Y' the whole command script stops.
>
> In rxvt, the ^C returns me to a prompt but the process being run is not
> interrupted and continues in the background.
>
> What I'd really like is for the ^C to consistently abort the whole command
> script.
>
> Has anyone come across this and/or is able to offer advice/solutions ?
>
> Duncan

Duncan,

You need to add "tty" to your CYGWIN environment variable.  Read
<http://cygwin.com/cygwin-ug-net/using-cygwinenv.html> for details.
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
  -- /usr/games/fortune

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/